@echo off
title Game_Plugin Upgrader by SchmilK with thanks to nicinico
color 0A

rcotool -A game_plugin.rco
if exist game_plugin.bak del game_plugin.bak
ren game_plugin.rco game_plugin.bak
copy us_game_plugin us_game_plugin.rco

if not exist tex_manual_page_panel.bmp rcotool -D us_game_plugin tex_manual_page_panel
if not exist tex_manual_shortcut_panel.bmp rcotool -D us_game_plugin tex_manual_shortcut_panel

rcotool -r us_game_plugin.rco tex_loading
rcotool -r us_game_plugin.rco tex_loading_shadow
rcotool -r us_game_plugin.rco tex_loading_focus
rcotool -r us_game_plugin.rco tex_broken_data
rcotool -r us_game_plugin.rco tex_broken_data_s
rcotool -r us_game_plugin.rco tex_broken_data_f
rcotool -r us_game_plugin.rco tex_manual_page_panel
rcotool -r us_game_plugin.rco tex_manual_shortcut_panel


if exist *.bmp del *.bmp
if exist *.gim del *.gim
if exist us_game_plugin.rco ren us_game_plugin.rco game_plugin.rco
